{
  programs.ssh = {
    enable = true;
    compression = true;
    serverAliveCountMax = 1;
    serverAliveInterval = 10;
    matchBlocks = {
      "*" = {
        setEnv."TERM" = "xterm-256color";
      };

      "watcher.kat" = {
        user = "ubuntu";
        hostname = "watcher.katvayor.net";
      };
      "r86s.kat" = {
        user = "root";
        hostname = "129.199.156.112";
        proxyJump = "sas.ens";
      };
      "test.kat" = {
        user = "root";
        hostname = "100.102.129.187";
      };

      "virt.kat" = {
        user = "root";
        hostname = "100.102.157.122";
      };

      "sas.ens" = {
        user = "lbailly";
        hostname = "sas.eleves.ens.fr";
      };
      "degette.ens" = {
        user = "dg";
        hostname = "www.dg.ens.fr";
        proxyJump = "sas.ens";
      };
      "bocal.ens" = {
        user = "bocal";
        hostname = "fregate";
        proxyJump = "sas.ens";
      };

      "jourdan01.dgn" = {
        user = "root";
        hostname = "192.168.42.17";
        proxyJump = "r86s.kat";
      };
      "jourdan01.netconf.dgn" = {
        user = "dgnum";
        hostname = "192.168.42.17";
        proxyJump = "r86s.kat";
        port = 830;
        extraOptions.sessionType = "subsystem";
        identityFile = "~/.ssh/juniper";
      };
    };
  };
}
